summaryrefslogtreecommitdiffstats
path: root/triehash/tests/run-tests.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-05 18:07:13 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-05 18:07:13 +0000
commit636c7dc17286d93d788c741d15fd756aeda066d5 (patch)
treee7ae158cc54f591041a061b9865bcae51854f15c /triehash/tests/run-tests.sh
parentInitial commit. (diff)
downloadapt-636c7dc17286d93d788c741d15fd756aeda066d5.tar.xz
apt-636c7dc17286d93d788c741d15fd756aeda066d5.zip
Adding upstream version 1.8.2.3.upstream/1.8.2.3upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'triehash/tests/run-tests.sh')
-rwxr-xr-xtriehash/tests/run-tests.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/triehash/tests/run-tests.sh b/triehash/tests/run-tests.sh
new file mode 100755
index 0000000..b9c1ec3
--- /dev/null
+++ b/triehash/tests/run-tests.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+DIR=$(dirname $(readlink -f $0))
+
+# Let's go into triehash.pl's dir
+cd $(dirname "$DIR")
+
+rm -rf cover_db
+
+count=$(cd "$DIR" && echo test-* | wc -w)
+i=1
+
+for test in $DIR/test-*; do
+ echo "[$i/$count] Running testcase $test"
+ if ! $test > test.summary 2>&1; then
+ cat test.summary
+ exit 1
+ fi
+ i=$((i + 1))
+done
+
+
+cover